package org.apache.cordova.mediacapture.custom.activity;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.MediaController;
import android.widget.Toast;
import android.widget.VideoView;

import __ANDROID_PACKAGE__.R;

/**
 * Created by oliver on 17-11-6.
 */

public class PreviewActivity extends Activity implements View.OnClickListener {

    private VideoView videoView;
    private Uri videoUri;
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.media_activity_preview);
        videoView = (VideoView) findViewById(R.id.video);
        videoUri = getIntent().getParcelableExtra("video");
        if(videoUri == null){
            new AlertDialog.Builder(this).setTitle("错误").setMessage("视频文件不存在").setNegativeButton("退出", new DialogInterface.OnClickListener() {
                @Override
                public void onClick(DialogInterface dialogInterface, int i) {
                    onBackPressed();
                }
            }).create().show();
            return;
        }
        MediaController controller = new MediaController(this);
        controller.setAnchorView(videoView);
        controller.setMediaPlayer(videoView);
        videoView.setMediaController(controller);
        videoView.setVideoURI(videoUri);
        videoView.setOnPreparedListener(new MediaPlayer.OnPreparedListener() {
            @Override
            public void onPrepared(MediaPlayer mp) {
//                actualResolution.setTitle("Actual resolution");
//                actualResolution.setMessage(mp.getVideoWidth() + " x " + mp.getVideoHeight());
                ViewGroup.LayoutParams lp = videoView.getLayoutParams();
                float videoWidth = mp.getVideoWidth();
                float videoHeight = mp.getVideoHeight();
                float viewWidth = videoView.getWidth();
                lp.height = (int) (viewWidth * (videoHeight / videoWidth));
                videoView.setLayoutParams(lp);
                playVideo();
            }
        });
        findViewById(R.id.iv_cancel).setOnClickListener(this);
        findViewById(R.id.iv_done).setOnClickListener(this);
        playVideo();
    }

    private void playVideo() {
        if (videoView.isPlaying()) return;
        videoView.start();
    }

    @Override
    public void onBackPressed() {
        setResult(RESULT_CANCELED);
        super.onBackPressed();
    }

    @Override
    public void onClick(View view) {
        int id = view.getId();
        if(id == R.id.iv_cancel){
            onBackPressed();
        }else if(id == R.id.iv_done){
            Intent intent = new Intent();
            intent.setData(videoUri);
            setResult(RESULT_OK,intent);
            finish();
        }

    }
}
